package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.Spu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.GoodsVo;
import com.fzm.mall.server.front.goods.model.vo.PageVoWithOne;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;
import com.fzm.mall.server.front.goods.model.vo.SearchVo;

import java.util.List;

/**
 * <p>
 * 商品表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-09
 */
public interface ISpuService extends IService<Spu> {

    List<GoodsVo> getByCategoryId(String categoryId, SearchVo searchVo);

    List<GoodsVo> getSearch(SearchVo searchVo);

    GoodsVo getByGoodId(String goodsId);

    Integer getSearchCount(SearchVo searchVo);

    Integer getByCategoryIdCount(String categoryId);

    String getTemplateIdByGoodsId(String goodsId);

    List<String> getCategoryId(String goodsId);

    List<String> getGidsByCategoryId(String categoryIds);

    List<SaleHotVo> getByMerchantId(String merchantId);

    List<SaleHotVo> getAllByMerchantId(PageVoWithOne pageVoWithOne);

    Integer getAllCountByMerchantId(String merchantId);
}
